<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCmcInfoReq StructType
 * @subpackage Structs
 */
class AddCmcInfoReq extends APIRequest
{
    /**
     * The cmcInfo
     * @var XCmcInfo
     */
    public $cmcInfo;
    /**
     * Constructor method for AddCmcInfoReq
     * @uses AddCmcInfoReq::setCmcInfo()
     * @param XCmcInfo $cmcInfo
     */
    public function __construct(XCmcInfo $cmcInfo = null)
    {
        $this
            ->setCmcInfo($cmcInfo);
    }
    /**
     * Get cmcInfo value
     * @return XCmcInfo|null
     */
    public function getCmcInfo()
    {
        return $this->cmcInfo;
    }
    /**
     * Set cmcInfo value
     * @param XCmcInfo $cmcInfo
     * @return AddCmcInfoReq
     */
    public function setCmcInfo(XCmcInfo $cmcInfo = null)
    {
        $this->cmcInfo = $cmcInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCmcInfoReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
